Last Comment Bug 624570 - In profile w/ saved Gmail password, Fennec repeatedly prompts me for Master Password when I type each character of "gmail" in AwesomeScreen
: In profile w/ saved Gmail password, Fennec repeatedly prompts me for Master P...
Status: VERIFIED FIXED
[qa-]
: verified-aurora
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 8
Assigned To: Wesley Johnston (:wesj)
:
:
Mentors:
Depends on:
Blocks: 592772
  Show dependency treegraph
 
Reported: 2011-01-10 16:09 PST by Daniel Holbert [:dholbert]
Modified: 2013-12-10 10:00 PST (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 (849 bytes, patch)
2011-08-22 13:07 PDT, Wesley Johnston (:wesj)
mark.finkle: review+
alex.mozilla: feedback+
christian: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Daniel Holbert [:dholbert] 2011-01-10 16:09:42 PST
STEPS TO REPRODUCE:
 1. Save a password for gmail in Fennec, and login & view your mail.
 2. Install Master Password addon:
    https://addons.mozilla.org/en-US/mobile/addon/270907/
 3. Restart Fennec and add a Master Password.
 4. Restart Fennec again. (so that Master Password is locked)
 5. In AwesomeScreen, *slowly* type the word "gmail" (character by character)

ACTUAL RESULTS:
At some point while you're typing "gmail" (I think at the point where your gmail mailbox page appears in the dropdown list), Fennec darkens the AwesomeScreen (interrupting your URL-typing) and pops up a Master Password dialog *over the awesome screen*

EXPECTED RESULTS:
Awesomescreen shouldn't prompt me like that.

mfinkle says in IRC that this is due to a "badging" feature where we try to auto-load gmail in the background and show the unread mail count in the awesomescreen, if you have a saved gmail login.

However, this is inappropriate in the locked-Master-Password use-case, because it triggers annoying & unexpected master password prompts that interrupt the user's typing in the awesomescreen.

Reproduced with latest Fennec nightly on a Linux desktop as well as on an Android phone.
Comment 1 Aakash Desai [:aakashd] 2011-01-24 09:10:50 PST
Matt, looks like something to fix in the next version of the master password extension!
Comment 2 Daniel Holbert [:dholbert] 2011-08-21 09:59:08 PDT
Now that bug 592772 has landed (adding Master Password support to Fennec), this has become a bug in stock Fennec. (rather than a bug in fennec-with-an-addon)

I verified that STR still reproduce this, in latest stock Fennec nightly.  (one addition: be sure to cancel any Master Password dialogs that appear).

In fact, I get prompted repeatedly -- once for each character of "gmail.com" that I type into the location bar.  (assuming I cancel each MP dialog)

I think we absolutely need to support the "I don't feel like typing my MP in right now, I just want to type in a URL and go there" use-case, and this bug makes that use-case super-annoying.
Comment 3 Wesley Johnston (:wesj) 2011-08-22 13:07:43 PDT
Created attachment 554941 [details] [diff] [review]
Patch v1

This works for me, but the nsIPK11Token docs are sparse enough I'm not positive this is the right way to do it.
Comment 4 Alex Pakhotin (:alexp) 2011-08-22 14:19:26 PDT
Comment on attachment 554941 [details] [diff] [review]
Patch v1

I'm not an expert in the PSM stuff, but as far as I can tell, it looks fine, especially if it works for you as supposed.
Not sure though if you need a separate getter for nsIPK11TokenDB. Won't just a local variable be enough?
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-22 14:32:19 PDT
Comment on attachment 554941 [details] [diff] [review]
Patch v1

caching the token DB is a good idea
Comment 6 Mounir Lamouri (:mounir) 2011-08-23 01:38:10 PDT
http://hg.mozilla.org/mozilla-central/rev/e588d3deca71
Comment 7 Matt Brubeck (:mbrubeck) 2011-08-25 16:36:10 PDT
Comment on attachment 554941 [details] [diff] [review]
Patch v1

Requesting approval to land in Aurora for Firefox 8.  This is a low-risk mobile-only change that fixes a very annoying user-visible regression/bug in a new feature in Fennec 8 (Master Password).

[Alternately, we could disable Master Password in Firefox 8 and wait until 9 to ship it.]
Comment 8 Matt Brubeck (:mbrubeck) 2011-08-30 20:16:06 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/716ae806a90f
Comment 9 Cristian Nicolae (:xti) 2011-09-08 07:01:13 PDT
I've performed the steps from comment #0, and it's working fine on the latest Aurora build. I'll mark it as verified fixed.

--
Mozilla/5.0 (Android;Linux armv7l;rv:8.0a2)Gecko/20110908
Firefox/8.0a2 Fennec/8.0a2
Device: Samsung Galaxy S
OS: Android 2.2
Comment 10 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-09-09 15:23:14 PDT
QA not tracking; fix has been sufficiently verified.

Note You need to log in before you can comment on or make changes to this bug.